
<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- The above 3 meta tags *must* come first in the head; any other head content must come *after* these tags -->
    <meta name="description" content="">
    <meta name="author" content="">
    <title>Dungeons and Damages</title>
	<link rel="icon" href="favicon.ico">
    <!-- Bootstrap core CSS -->
    <link href="css/bootstrap.css" rel="stylesheet">

    <!-- IE10 viewport hack for Surface/desktop Windows 8 bug -->
    <link href="css/ie10-viewport-bug-workaround.css" rel="stylesheet">

    <!-- Custom styles for this template -->
    <link href="css/navbar-fixed-top.css" rel="stylesheet">

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="js/html5shiv.min.js"></script>
      <script src="js/respond.min.js"></script>
    <![endif]-->
  </head>

  <body onload="PopulateMenu();">

    <!-- Fixed navbar -->
    <nav class="navbar navbar-default navbar-fixed-top">
      <div class="container">
        <div class="navbar-header">
          <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <a class="navbar-brand" href="#"><img src="img/header.jpg" ></a>
        </div>
        <div id="navbar" class="navbar-collapse collapse">
          <ul class="nav navbar-nav" id="menuBar">
          </ul>
        </div><!--/.nav-collapse -->
      </div>
    </nav>

    <div class="container">

      <!-- Main component for a primary marketing message or call to action -->
      <div class="jumbotron">
        <h1>Help</h1>
		<p>
			If you're looking for help, the DM won't help you! But I will!<br>
			This page shall be your introductory NPC for using this site!		<br>
			Quick Links On This Page: <a href="#sidebarTable">SideBar Fields</a> <a href="#DMTable">DM Table Fields</a>
		</p>
		<h2>The Arcana Communication</h2>
		<p>
			The two main pages which will be explained in depth on this site are:
			<ul>
				<li><strong>Character Page:</strong>This page is what the DM will exclusively look at. It contains all modifiable information for the combat session.</li>
				<li><strong>Viewer Page:</strong>This page is what the party will view at the same time as the DM. It contains a limited subset of information about the combat session.</li>
			</ul>	
			The pages are linked through some special Arcana (Javascript... ooooohhhh) storing the information on your computer. 
			The Character page's main job is to modify your combat session information while your Viewer page rolled a 19 for perception - and listens intently to when changes are made by the DM and will update and display notifications relevant to the situation!
		</p>
		<h2 id='sidebarTable'>Character Page Help/Quick Start</h2>
		<p>The character page shows basically nothing when you first go to it. But as you start adding characters, you will begin to see how it works.</p>
		<h3>The Character SideBar Page Buttons, TextFields and Checkboxes!</h3>
		<p>Below outlines the name, type and purpose of each of the fields on the Character Page Sidebar:</p>
		<table class='table-responsive'>
			<thead><tr><th>Name</th><th>Type</th><th>Purpose</th></tr></thead>
			<tbody>
				<tr>
					<td>Next Turn</td><td>Button</td><td>Moves the current character turn marker to the next character. If none is currently selected it selects the first character in the list.</td>
				</tr>
				<tr>
					<td>Previous Turn</td><td>Button</td><td>Moves the current character turn marker to the previous character. If none is currently selected it selects the first character in the list.</td>
				</tr>
				<tr>
					<td>Clear All Characters</td><td>Button</td><td>Removes All Characters - A wipe of your party! Looks like everyone needs to re-roll new characters...</td>
				</tr>
				<tr>
					<td>Enable Viewer Notifications</td><td>CheckBox</td><td>This checkbox turns notifications on and off for the Viewer Page. Sometimes you may want to do something sneaky and not show when an enemy increases hp. This is for occasions such as that. Switch it off, change it, switch it on. AKA DM Cast's "Pass Without a Trace". </td>
				</tr>
				<tr>
					<td>Show Add Character</td><td>Button</td><td>To save some space, this little toggle button hides and shows the add character fields. Don't want it being too crowded over there!</td>
				</tr>
				<tr>
					<td>Name</td><td>TextBox</td><td>Enter the name for your character here! <br><em>Note: Two Players cannot have the same name, just for integrity checking purposes. If you really want the same name, capitalise one of their names and not the other or l33t speak it! Enemies can have the same name.</em></td>
				</tr>
				<tr>
					<td>Current Hit Points</td><td>Number(TextBox)</td><td>Enter the Character's Current Hit Points. <br><em>Note: 0 is invalid. If you set it greater than the Max Hit Points it will be set equal to the max hit points.</em></td>
				</tr>
				<tr>
					<td>Max Hit Points</td><td>Number(TextBox)</td><td>Enter the Character's Max Hit Points. <br><em>Note: 0 is invalid. If you set it less than the Current HP, Current HP will be set equal to the max hit points.</em></td>
				</tr>
				<tr>
					<td>Character Type</td><td>Drop Down List</td><td>Select The Character Type: Currently Player, NPC or Enemy. <br><em>Note: Functionally currently no difference between NPC and Player. Enemies have an additional field once selected - Token Number.</em> </td>
				</tr>
				<tr>
					<td>Is Active</td><td>CheckBox</td><td>Player not around for a session? Want to hide some enemies from the other screen for a while? When Is Active is unchecked - it hides the character from the viewer screen.</td>
				</tr>
				<tr>
					<td>Is Hidden</td><td>CheckBox</td><td>When Is Hidden is checked - the viewer screen will not see the name of the Character! Good for unknown enemies or characters in general.</td>
				</tr>
				<tr>
					<td>Token Number (Enemy)</td><td>Number(TextBox)</td><td>Have some tokens you use on your game mat? Add their numbers here so the players can be reminded of what Token that enemy is!<br><em>Note: -1 entered means the enemy doesn't have a token number. If a number greater than 0 is added, the token number auto increments once add is clicked. Multiple enemies with the same token number are allowed.</em></td>
				</tr>
			</tbody>
		</table>
		<h3 id='DMTable'>The Character Modification Table Fields</h3>
		<p>Below outlines the name, type and purpose of each of the fields on the Character Page Table:</p>
		<table class='table-responsive'>
			<thead><tr><th>Name</th><th>Type</th><th>Purpose</th></tr></thead>
			<tbody>
				<tr>
					<td>Name</td><td>Label</td><td>Tells you the characters name. If it has a token it will be in '{}' and an '[E]' signifies an enemy.</td>
				</tr>
				<tr>
					<td>Hit Points</td><td>Label, Number(TextBox), Button</td><td>Shows you the current hit points of the character, with the ability to update the maximum hit points of the character.</td>
				</tr>
				<tr>
					<td>+/-HP</td><td>Number(TextBox), '+' and '-' Buttons</td><td>Put in the amount of health you wish to add or deduct from the player as a positive number greater than 0. Then click the plus to add or the minus to take away hit points. They will be reflected in the hit points column. <br><em>Note: If a character drops below zero the character will get the 'Unconscious' Affliction and you have the ability to kill the character and remove them permanently through a popup box. Adding health above zero removes the Unconscious Affliction.</em></td>
				</tr>
				<tr>
					<td>+ Affliction</td><td>Drop Down List, Plus Button</td><td>Gives you the ability to add one or more afflictions to the character; you can only add the same affliction once.</td>
				</tr>
				<tr>
					<td>- Affliction</td><td>Hoverable Labels with '[X]'s </td><td>Gives you the ability to remove one or more current afflictions. Press the '[X]' button to the right of the Affliction to remove it!<br><em><strong>HIDDEN FEATURE: Hover over the current affliction to see what it does to a character!</strong></em></td>
				</tr>
				<tr>
					<td>Hidden</td><td>Toggle Button</td><td>Allows you to toggle whether a character is shown at all on the viewer page.</td>
				</tr>
				<tr>
					<td>Active</td><td>Toggle Button</td><td>Allows you to toggle whether a character's name is shown on the viewer page.</td>
				</tr>
				<tr>
					<td>Turn Held</td><td>Toggle Button</td><td>Allows you to toggle whether a character has held its turn on the viewer page.</td>
				</tr>
			</tbody>
		</table>
	  </div>
    </div> <!-- /container -->
<style>
	table, table tr th, table tr td
	{
		font-size:18px;
		border:1px solid white;
	}
	.jumbotron, .jumbotron p{
	font-size:18px;}
</style>

    <!-- Bootstrap core JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
    <script src="js/jquery.min.js"></script>
    <script src="js/bootstrap.min.js"></script>
    <!-- IE10 viewport hack for Surface/desktop Windows 8 bug -->
    <script src="js/ie10-viewport-bug-workaround.js"></script>
	<script src="js/menu.js"></script>
  </body>
</html>
